## mercator 0.3.0

=== debian/changelog ===
mercator (0.3.0-2) unstable; urgency=low

  * marked symbols as optional for GCC 4.7 (closes: #667274)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 30 May 2012 09:40:42 -0400

mercator (0.3.0-1) unstable; urgency=low

  * new upstream release
  * new maintainer: Debian games team (closes: #653975)
    - added myself as uploader
  * changed binary package names for SONAME bump
  * updated to 3.0 (quilt) source format
  * updated Standards-Version to 3.9.3 (no changes required)
  * debian/control: added Vcs- fields
  * added symbols tracking
  * debian/copyright: convert to DEP-5 format
  * converted to use the dh build sequencer
  * changed package compression from gz to xz

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Sun, 26 Feb 2012 11:52:29 -0500

mercator (0.2.7-3) unstable; urgency=low

  * debian/libmercator-0.2-dev.install: Don't install *.la file.
  * debian/control: Remove url from long descriptions.
  * debian/control: Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 27 Aug 2009 08:26:35 +0200

mercator (0.2.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Koch <konqueror@gmx.de>  Sat, 25 Jul 2009 20:17:06 +0200

mercator (0.2.7-1) experimental; urgency=low

  * New upstream release.
    - introduces new SONAME
  * debian/copyright: clarify license.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/control: Move libmercator-0.2-5-dbg to debug section.
  * debian/control: Add Depends: ${misc:Depends} to all packages.
  * debian/control: Build-Depend on debelper >= 5.

 -- Michael Koch <konqueror@gmx.de>  Tue, 21 Jul 2009 14:27:53 +0200

mercator (0.2.6-1) experimental; urgency=low

  * New upstream release
    - Removed debian/patches/mercator-gcc43.patch. Obsoleted.
    - Renamed library package to match soname.
  * Upload to experimental.
  * Added debug package.
  * Reworked debian/copyright.
  * Increased Debhelper level to 5 for easy -dbg package builds.
  * Build-Depend on chrpath and remove rpath from library.
  * Updated Standards-Version to 3.8.0.
  * Updated watch file to use uscan sourceforge mapper.

 -- Michael Koch <konqueror@gmx.de>  Wed, 20 Aug 2008 13:53:38 +0200

mercator (0.2.5-3) unstable; urgency=low

  * Added debian/patches/mercator-gcc43.patch to fix GCC 4.3 errors.
    Closes: #461963

 -- Michael Koch <konqueror@gmx.de>  Mon, 21 Jan 2008 22:40:50 +0100

mercator (0.2.5-2) unstable; urgency=low

  * Replaced ${Source-Version} in debian/control.
  * Addded Build-Depends on autotools-dev to ensure update of config.guess and
    config.sub at build-time.
  * Updated Standard-Version to 3.7.3.
  * Added Homepage field to debian/control.

 -- Michael Koch <konqueror@gmx.de>  Mon, 24 Dec 2007 08:59:43 +0100

mercator (0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Build-Depends on debhelper(>= 4.1.0) and libwfmath-0.3-dev (>= 0.3.5).
  * Updated Standards-Version to 3.7.2

 -- Michael Koch <konqueror@gmx.de>  Sun, 10 Sep 2006 16:12:17 +0000

mercator (0.2.4-3) unstable; urgency=low

  * Did the C++ ABI transition (Closes: #339231).

 -- Michael Koch <konqueror@gmx.de>  Tue, 20 Dec 2005 07:55:18 +0000

mercator (0.2.4-2) unstable; urgency=low

  * Make sure to include all header files in the dev package
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Sun,  9 Oct 2005 13:19:46 +0000

mercator (0.2.4-1) unstable; urgency=low

  * New upstream release
  * Updated watch file to update to new release more easily
  * Moved libmercator-0.2-dev from section devel to section libdevel

 -- Michael Koch <konqueror@gmx.de>  Sun,  2 Oct 2005 12:27:55 +0000

mercator (0.2.3-1) unstable; urgency=low

  * New upstream release
  * Reworked package descriptions
  * Added debian/watch
  * Updated Standards-Version to 3.6.2
  * Updated address of FSF in debian/copyright
  * Upload sponsored by Petter Reinholdtsen

 -- Michael Koch <konqueror@gmx.de>  Mon,  5 Sep 2005 05:43:21 +0000

mercator (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/gcc-3.4.patch. Now fixed upstream.
  * Updated SONAME
  * Updated Build-Depend to depend on libwfmath-0.3-dev (>= 0.3.2)
  * debian/rules: Added check-install target

 -- Michael Koch <konqueror@gmx.de>  Tue, 27 Jul 2004 13:49:02 +0200

mercator (0.2.0-4) unstable; urgency=low

  * Added patch for GCC 3.4.
    Thanks to Andreas Jochens <aj@andaco.de>
    (Closes: #260576)

 -- Michael Koch <konqueror@gmx.de>  Wed, 21 Jul 2004 11:50:18 +0200

mercator (0.2.0-3) unstable; urgency=low

  * libmercator-0.2-dev: Fixed typo in Depends line (Closed: #257789).

 -- Michael Koch <konqueror@gmx.de>  Tue,  6 Jul 2004 12:34:18 +0200

mercator (0.2.0-2) unstable; urgency=low

  * Use CDBS as build system now.
  * Fixed creating of shlibs file.

 -- Michael Koch <konqueror@gmx.de>  Sun,  4 Jul 2004 16:24:24 +0200

mercator (0.2.0-1) unstable; urgency=low

  * Initial Release (Closes: #249594)

 -- Michael Koch <konqueror@gmx.de>  Fri, 21 May 2004 12:02:33 +0200
