=== debian/control ===
Source: mercator
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: dh-autoreconf,
               debhelper (>= 9),
               libwfmath-0.3-dev (>= 0.3.11),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/mercator.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/mercator.git

Package: libmercator-0.3-1
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WorldForge terrain library
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.

Package: libmercator-0.3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libmercator-0.3-1 (= ${binary:Version}),
         libwfmath-0.3-dev,
         ${misc:Depends}
Description: WorldForge terrain library - development files
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.
 .
 This package contains the files for developing with the mercator library.

Package: libmercator-0.3-1-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: libmercator-0.3-1 (= ${binary:Version}), ${misc:Depends}
Description: WorldForge terrain library - debugging symbols
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge (http://www.worldforge.org) core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.
