=== debian/watch ===
version=3
http://sf.net/worldforge/mercator-(.*)\.tar\.bz2 debian uupdate
