## mercator 0.3.2

=== debian/changelog ===
mercator (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Import changes from Ubuntu for g++-5 ABI transition, fixing FTBFS
    (Closes: #778002) and renaming library for new ABI (Closes: #791201).
    Thanks to Steve Langasek.
    - Build-depend on the transitioned wfmath package so that things
      happen in the right order.

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Aug 2015 23:25:53 +0100

mercator (0.3.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixing symbol file (Closes: #713344)
  * Libwfmath-1.0 is in the archive, so B-D on it is fine now (Closes: #734961)

 -- Tobias Frost <tobi@debian.org>  Fri, 15 Aug 2014 18:10:38 +0000

mercator (0.3.2-1) unstable; urgency=low

  * new upstream release
  * bumped package names for new SONAME
  * debian/libmercator-0.3-3.symbols: adjusted for ABI changes
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/control (libmercator-0.3-3-dbg): made Multi-Arch: same
  * debian/rules: forced verbose build
  * debian/control: bumped libwfmath build-dep to 1.0
  * debian/libmercator-0.3-3.symbols: adjusted for GCC 4.8 (closes: #701321)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Wed, 05 Jun 2013 14:14:03 -0400
