=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
 Build-Depends: dh-autoreconf,
                debhelper (>= 9),
-               libwfmath-0.3-dev (>= 0.3.11),
+               libwfmath-1.0-dev (>= 1.0.2+dfsg1-0.4),
                pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.worldforge.org/
-Vcs-Git: git://git.debian.org/git/pkg-games/mercator.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/mercator.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/mercator.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-games/mercator.git
 
-Package: libmercator-0.3-1
+Package: libmercator-0.3-3v5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libmercator-0.3-3
+Replaces: libmercator-0.3-3
 Description: WorldForge terrain library
  Mercator is primarily aimed at terrain for multiplayer online games and
  forms one of the WorldForge core libraries.
@@ -41,8 +43,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: libmercator-0.3-1 (= ${binary:Version}),
-         libwfmath-0.3-dev,
+Depends: libmercator-0.3-3v5 (= ${binary:Version}),
+         libwfmath-1.0-dev,
          ${misc:Depends}
 Description: WorldForge terrain library - development files
  Mercator is primarily aimed at terrain for multiplayer online games and
@@ -65,12 +67,15 @@
  .
  This package contains the files for developing with the mercator library.
 
-Package: libmercator-0.3-1-dbg
+Package: libmercator-0.3-3v5-dbg
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: libmercator-0.3-1 (= ${binary:Version}), ${misc:Depends}
+Depends: libmercator-0.3-3v5 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libmercator-0.3-3-dbg
+Replaces: libmercator-0.3-3-dbg
 Description: WorldForge terrain library - debugging symbols
  Mercator is primarily aimed at terrain for multiplayer online games and
  forms one of the WorldForge (http://www.worldforge.org) core libraries.
