## mercator 0.3.3

=== debian/changelog ===
mercator (0.3.3-6) unstable; urgency=high

  * Update debhelper compatibility to 13 (delete d/compat)
  * Update standards to 4.5.0 (no changes)
  * Remove d/symbols due to continued instability (Closes: #957531)

 -- Olek Wojnar <olek@debian.org>  Fri, 31 Jul 2020 21:23:37 -0400

mercator (0.3.3-5) unstable; urgency=medium

  * Update d/control:
    - New uploader email and URLs
    - Standards to 4.2.1 (no changes)
    - Add Rules-Requires-Root declaration
  * Update d/copyright: refresh Debian info
  * Update d/compat to 11:
    - Update d/rules
    - Update d/control
    - Remove redundant trigger
  * Add d/upstream/metadata: for DEP 12 compliance
  * Update d/rules: migration complete, remove dbgsym-migration flag

 -- Olek Wojnar <olekw.dev@gmail.com>  Mon, 08 Oct 2018 00:35:15 -0400

mercator (0.3.3-4) unstable; urgency=medium

  * Fix symbols for armhf builds with GCC 6

 -- Olek Wojnar <olek-dev@wojnar.org>  Tue, 16 Aug 2016 21:33:38 -0400

mercator (0.3.3-3) unstable; urgency=medium

  * Fix symbols on some non-release architectures

 -- Olek Wojnar <olek-dev@wojnar.org>  Mon, 04 Jul 2016 15:11:22 -0400

mercator (0.3.3-2) unstable; urgency=high

  * Add patch to fix C++11 const float compile issues (Closes: #802285)
  * d/rules: Explicitly build using the C++11 standard
  * Add d/triggers file for ldconfig processing
  * Convert to automatic debug package
  * Update d/control
    - Standards-Version to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Enable all hardening options
  * Update d/copyright
  * Fix 32-bit symbols

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 26 Jun 2016 21:12:58 -0400

mercator (0.3.3-1) unstable; urgency=medium

  * New upstream release (prior packaging by Stephen Webb)
  * Incorporate and acknowledge NMU, thanks Tobias Frost
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * d/control: remove pre-dependency on dpkg
  * d/rules: enable parallel build
  * d/rules: remove builddeb override since xz is now default
  * d/watch: update file extensions
  * d/control: tweaks and update standards to 3.9.6 (no changes)
  * Bump SO-name

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 27 Sep 2015 16:25:46 -0500
