=== debian/watch ===
version=4
http://sf.net/worldforge/mercator-(.*)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate
