=== tests/CMakeLists.txt ===
wf_add_test(main.cpp)
wf_add_test(Terraintest.cpp)
wf_add_test(Shadertest.cpp)
wf_add_test(TerrainModtest.cpp)
wf_add_test(Intersecttest.cpp)
wf_add_test(testPhys.cpp)
wf_add_test(Planttest.cpp)
wf_add_test(Foresttest.cpp)
wf_add_test(testQRNG.cpp)
wf_add_test(Areatest.cpp)
wf_add_test(TileShadertest.cpp)
wf_add_test(ShaderFactorytest.cpp)
wf_add_test(testWFMath.cpp)
wf_add_test(Buffertest.cpp)
wf_add_test(Segmenttest.cpp)
wf_add_test(AreaShadertest.cpp)
wf_add_test(BasePointtest.cpp)
wf_add_test(DepthShadertest.cpp)
wf_add_test(FillShadertest.cpp)
wf_add_test(GrassShadertest.cpp)
wf_add_test(ThresholdShadertest.cpp)
wf_add_test(Matrixtest.cpp)
wf_add_test(TerrainaddAreatest.cpp)
wf_add_test(Segmentperf.cpp)
CHECK_INCLUDE_FILE(unistd.h HAS_UNISTD)
if (HAS_UNISTD)
    wf_add_test(timeSeg.cpp util_timer.cpp util_timer.h)
endif()
